document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_20400
--- +++ @@ -1,4 +1,4 @@ #!/usr/bin/env sh # HashLink needs a specific working directory to find hlboot.dat and libraries cd "$(dirname "$0")" -exec ./hl +exec ./hl "$@"
bash
d_bash_20401
--- +++ @@ -2,7 +2,7 @@ set -e -x -u -base=${pwd} +base=$(pwd) export GOPATH=$(pwd)/gopath export PATH=/usr/local/ruby/bin:/usr/local/go/bin:$PATH
bash
d_bash_20402
--- +++ @@ -8,7 +8,7 @@ } function set_running_app { - echo "\e]1; $PWD:t:$(history $HISTCMD | cut -b7- ) \a" + echo -ne "\e]1; $PWD:t:$(history $HISTCMD | cut -b7- ) \a" } function preexec {
bash
d_bash_20403
--- +++ @@ -5,6 +5,12 @@ alias mpvd='mpv --screen=0 --fs-screen=1' alias wgetu="wget -U 'Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Ubuntu Chromium/61.0.3163.100 Chrome/61.0.3163.100 Safari/537.36'" alias zathura="zathura --fork" + +# get user entry for process +whop(){ + ps --no-hea...
bash
d_bash_20404
--- +++ @@ -1,6 +1,9 @@ #!/bin/sh +# +# hello world +# cd tests/hello_world make clean make @@ -10,3 +13,26 @@ ./target/release/zmu run tests/hello_world/hello_world-cm3.elf ./target/release/zmu run tests/hello_world/hello_world-cm4.elf ./target/release/zmu run tests/hello_world/hello_world-cm4f.elf + + +#...
bash
d_bash_20405
--- +++ @@ -19,7 +19,7 @@ route_tables() { - if ! ip rule list | cut -f1 -d: | grep -q 200; then + if ip rule list | cut -f1 -d: | grep -q 200; then ip rule del iif $NETDEV table $TABLE pref 200 || true fi }
bash
d_bash_20406
--- +++ @@ -17,3 +17,5 @@ # Build and deploy the Storm topology $scriptDir/builds/storm-topology.sh +# Build and run the web application +$scriptDir/builds/web-application.sh
bash
d_bash_20407
--- +++ @@ -14,7 +14,8 @@ cd /opt/python-trezor; wine python setup.py build install bdist EOF -docker run --rm -t --privileged -v $(pwd):/opt \ +mkdir -p python-trezor/dist # make sure it's owned by current user +docker run --rm -t --privileged -v $(pwd):/opt \ -e WINEPREFIX="/wine/wine-py2.7.8-32" \ ...
bash
d_bash_20408
--- +++ @@ -1,5 +1,9 @@ if [[ "$KIRIN_HOME" = "" ]] ; then export KIRIN_HOME=`dirname $0` fi +configuration=$1 +if [[ "$configuration" = "" ]] ; then + configuration=Debug +fi rm -Rf $KIRIN_HOME/core/ios/KirinKit/build 2>/dev/null -node $KIRIN_HOME/build.js --ios --ios-configuration Debug +node $KIRIN_HOME/bui...
bash
d_bash_20409
--- +++ @@ -13,6 +13,6 @@ usage fi -ACCUMULO_PID=$(DOCKER_HOST=$DOCKER_HOST docker inspect --format {{.State.Pid}} $IMAGENAME) -sudo nsenter --target $ACCUMULO_PID --mount --uts --ipc --net --pid +PID=$(sudo DOCKER_HOST=$DOCKER_HOST docker inspect --format {{.State.Pid}} $IMAGENAME) +sudo nsenter --target $PID ...
bash
d_bash_20410
--- +++ @@ -1,4 +1,6 @@ # Install Homebrew via shell script + +/usr/bin/ruby -e "$(curl -fsSL https://raw.githubusercontent.com/Homebrew/install/master/install)" brew tap homebrew/cask
bash
d_bash_20411
--- +++ @@ -14,7 +14,20 @@ # # Copyright Clairvoyant 2015 -echo never >/sys/kernel/mm/transparent_hugepage/defrag -sed -i '/transparent_hugepage/d' /etc/rc.local -echo 'echo never >/sys/kernel/mm/transparent_hugepage/defrag' >>/etc/rc.local +if rpm -q redhat-lsb-core; then + OSREL=`lsb_release -rs | awk -F. '{pr...
bash
d_bash_20412
--- +++ @@ -9,9 +9,14 @@ # tmp/* FORMAT=$(echo -e "%w%f written") -EXCLUDE=`cat .inotifyignore | sed -e 's/[\/&\\.]/\\\\&/g' | tr \\\\n \\|` +if [ -f .inotifyignore ]; +then + EXCLUDE="--exclude \"`cat .inotifyignore | sed -e 's/[\/&\\.]/\\\\&/g' | tr \\\\n \\|`\"" +else + EXCLUDE="" +fi "$@" -while inotif...
bash
d_bash_20413
--- +++ @@ -1,31 +1,18 @@ #!/usr/bin/env bash +if [ "$(id -u)" != "0" ]; then + echo "Permission Denied. Please run as root" + exit 1 +fi echo 'deb http://www.rabbitmq.com/debian/ testing main' | sudo tee /etc/apt/sources.list.d/rabbitmq.list && sudo apt-get update && sudo apt-get install rabbitmq-server s...
bash
d_bash_20414
--- +++ @@ -19,7 +19,7 @@ cp -r $CHART build pushd build sed --in-place s/_ReplaceWithBuildNumber_/$BUILD_NUMBER/ $CHART/Chart.yaml -helm dependency update --verify $CHART +helm dependency update $CHART helm package -d $PACKAGE_DIR --version $VERSION $CHART popd
bash
d_bash_20415
--- +++ @@ -5,7 +5,8 @@ source ${DOTFILES_DIRECTORY}/lib/utils # Install or update nvm -curl -o- https://raw.githubusercontent.com/creationix/nvm/v0.29.0/install.sh | bash +git clone https://github.com/creationix/nvm.git ~/.nvm && cd ~/.nvm && git checkout `git describe --abbrev=0 --tags` +. ~/.nvm/nvm.sh # In...
bash
d_bash_20416
--- +++ @@ -10,7 +10,9 @@ cat ${SSL_KEY_FILE} >> /combined.pem echo "Mongo URI: $MONGO_URI" +# create log file so tail will work even if it's not created immediately +touch mdb-bi-connector.log /opt/mongodb-bi-linux-x86_64-debian92-v${BI_CONNECTOR_VERSION}/bin/mongosqld --addr ${ADDR} --sslMode ${SSL_MODE} --ssl...
bash
d_bash_20417
--- +++ @@ -8,9 +8,32 @@ set -e ROOT=`cd "$(dirname $0)/.." ; pwd` -cd $ROOT/ui/app +EXTRA='src/main/assembly/all' + +cd "$ROOT/ui/app" + +# build individual JARs and copy dependencies mvn package dependency:copy-dependencies -mkdir -p src/main/assembly/all/META-INF/annotations + +# combine SezPoz annotations +m...
bash
d_bash_20418
--- +++ @@ -13,7 +13,10 @@ trap 'at_exit' EXIT cd rrrspec-server -bundle exec rake rrrspec:server:db:create rrrspec:server:db:migrate RRRSPEC_CONFIG_FILES=/app/local_test/server_config.rb +until bundle exec rake rrrspec:server:db:create rrrspec:server:db:migrate RRRSPEC_CONFIG_FILES=/app/local_test/server_config....
bash
d_bash_20419
--- +++ @@ -1,6 +1,6 @@ -for d in /usr/lib /usr/lib64 /usr/local/lib /usr/local/lib64; +for d in /usr/lib /usr/lib64 /usr/local/lib /usr/local/lib64 /opt/local/lib; do - if [ -e $d/libjtokyocabinet.so ]; + if [ -e $d/libjtokyocabinet.so ] || [ -e $d/libjtokyocabinet.dylib ]; then JAVA_LIBRARY_PATH=$J...
bash
d_bash_20420
--- +++ @@ -13,7 +13,9 @@ rsync --exclude '*.DS_Store' --exclude '*.git' -av web/ ../codemoo mv ../codemoo/index.html ../codemoo/index2.html +rsync -av LICENSE.txt ../codemoo/ cp -pr gh-pages-config/ ../codemoo/ + ( cd ../codemoo; coffee -c scripts ) ( cd ../codemoo; coffee -c doppio-jvm/scripts/demo/ )
bash
d_bash_20421
--- +++ @@ -7,7 +7,7 @@ cd .. cd src/x86-64/ -nasm kernel.asm -o ../../kernel.sys +nasm kernel.asm -o ../../kernel.sys -l ../../kernel-debug.txt cd ../.. cd Alloy/
bash
d_bash_20422
--- +++ @@ -13,6 +13,8 @@ apt-get install -y build-essential locales software-properties-common apt-get install -y gcc curl supervisor git apt-get install -y python-minimal python-dev python3-setuptools python3.8 python3.8-dev +apt-get install -y nodejs +apt-get clean && rm -rf /var/lib/apt/lists/* # Set locale...
bash
d_bash_20423
--- +++ @@ -4,6 +4,6 @@ export LOGGING_CONFIG_FILE_PATH=logging_config.json export ELASTICSEARCH_URI=http://localhost:9200 export PAGE_SIZE=100 -export POLLING_INTERVAL_SECS=2 +export POLLING_INTERVAL_SECS=5 export PYTHONPATH=. export FAULT_LOG_FILE_PATH='/var/log/applications/digital-register-elasticsearch-upda...
bash
d_bash_20424
--- +++ @@ -1,6 +1,6 @@ #!/bin/sh -echo This script is very temporary. Please validate all input files in the apache repository before blindly copying them in. +echo This script is very temporary. Please validate all input files in the source repository before blindly copying them in. echo Ensure all artifacts ha...
bash
d_bash_20425
--- +++ @@ -12,7 +12,7 @@ echo "https://github.com/AdoptOpenJDK/openjdk14-binaries/releases/download/jdk-14.0.1%2B7/OpenJDK14U-jdk_x64_linux_hotspot_14.0.1_7.tar.gz" ;; java15) - echo "https://github.com/AdoptOpenJDK/openjdk15-binaries/releases/download/jdk15-2020-07-08-05-49/OpenJDK15-jdk_x64_linux_hotspot...
bash
d_bash_20426
--- +++ @@ -6,7 +6,7 @@ set -e -PUPPET_ENV_PATH=/etc/puppet/environments +PUPPET_ENV_PATH=$(puppet config print environmentpath) declare -A GIT_REPOS_TO_MERGE
bash
d_bash_20427
--- +++ @@ -6,5 +6,6 @@ COMMAND="$1" scripts/waitForServer.sh +mkdir -p tmp/pendingShellCommands echo "$COMMAND" >tmp/pendingShellCommands/command$$.js
bash
d_bash_20428
--- +++ @@ -16,12 +16,6 @@ CURRENT_NAME=$(path_to_name $(pwd)) -# Do initial compile just to make sure starting files are present -# yarn compile - -# Do initial publish to make sure files are there to start with -# yarn yalc publish --push - if [ ! -d "$PROJECT" ]; then echo "$(realpath $PROJECT) doesn't ex...
bash
d_bash_20429
--- +++ @@ -1,22 +1,4 @@ -if [ ! -d "mcom-tests" ] -then - git clone https://github.com/mozilla/mcom-tests/; -fi; - -if [ ! -d "venv" ]; -then - virtualenv venv; -fi; - -. venv/bin/activate - -cd mcom-tests/ - -git fetch origin -git reset --hard origin/master - -pip install -r requirements.txt -pip install pyte...
bash
d_bash_20430
--- +++ @@ -10,6 +10,7 @@ -DCMAKE_CACHEFILE_DIR=$BASE_DIR/source/$MODULE/pbuild \ || exit 1; make && \ - cp libportmidi.dll libportmidi.dll.a libportmidi_s.a $PREFIX/lib && + cp libportmidi.dll.a libportmidi_s.a $PREFIX/lib && + cp libportmidi.dll $PREFIX/bin && cp ../pm_common/portmidi.h ../portti...
bash
d_bash_20431
--- +++ @@ -1,8 +1,5 @@ #!/bin/bash set -xe -if [ ! `command -v gulp` ]; then - npm i -g gulp; -fi; npm install; -gulp & +node node_modules/gulp/bin/gulp.js & lein do run migrate, figwheel
bash
d_bash_20432
--- +++ @@ -6,4 +6,3 @@ sudo chown root:root wkhtmltopdf-amd64 sudo mv wkhtmltopdf-amd64 /usr/bin/wkhtmltopdf export WKHTMLTOPDF_CMD=/usr/bin/wkhtmltopdf -$WKHTMLTOPDF_CMD --version
bash
d_bash_20433
--- +++ @@ -3,7 +3,7 @@ storage=/opt/data/family move() { - exiftool -r -v -ext $2 '-directory<DateTimeOriginal' \ + exiftool -r -v -ext $2 '-directory<AllDates' \ -d "${storage}/$3/%Y/%m" "$1" } @@ -11,5 +11,6 @@ # if unspecified use current directory dir=${1:-.} -move $dir AVI videos -mo...
bash
d_bash_20434
--- +++ @@ -1,7 +1,7 @@ #!/bin/bash # Install the VMWare Tools from a linux ISO. -yum install -y fuse-libs +yum install -y fuse-libs perl mount -o loop /tmp/linux.iso /media/
bash
d_bash_20435
--- +++ @@ -11,14 +11,16 @@ cd "build" || (echo "could not enter distdir build"; exit 1) -BEGIN_FOLD unit-tests if [ "$RUN_TESTS" = "true" ] && ! { [ "$HOST" = "i686-w64-mingw32" ] || [ "$HOST" = "x86_64-w64-mingw32" ]; }; then + BEGIN_FOLD unit-tests travis_wait 50 DOCKER_EXEC LD_LIBRARY_PATH=$TRAVIS_BUILD...
bash
d_bash_20436
--- +++ @@ -14,6 +14,12 @@ PROJ_DIR="$(dirname "${DIR}")" cd ${PROJ_DIR} + +MINICONDA="$HOME/miniconda" +export PATH="${MINICONDA}/bin:$PATH" +hash -r + +source activate dshinpy #--- EXCLUDE_DIRS=(
bash
d_bash_20437
--- +++ @@ -18,7 +18,7 @@ [ -n "${prompt}" ] && prompt=" [${prompt}]" - printf " ${COLOR_BLUE}$(git_branch_name)${COLOR_YELLOW}${prompt}${COLOR_RESET}" + printf " ${COLOR_BLUE}%s${COLOR_YELLOW}%s${COLOR_RESET}" "$(git_branch_name)" "${prompt}" fi }
bash
d_bash_20438
--- +++ @@ -12,11 +12,11 @@ # Check the latest version from https://nodejs.org/en/ and https://github.com/nodesource/distributions case $OS_ID in ol) - curl -sL https://rpm.nodesource.com/setup_16.x | sudo bash - + curl -sL https://rpm.nodesource.com/setup_16.x | sudo -E bash - sudo yum -y install nod...
bash
d_bash_20439
--- +++ @@ -1,6 +1,13 @@ #!/usr/bin/env bash -# Usage: `./parsedefaults com.apple.driver.AppleBluetoothMultitouch.trackpad` -print_defaultswrite_for() { +if [ -z "$1" ]; then + echo "Provide default to read" 1>&2 + exit 1; +fi + +DOMAIN=$1 +READ="$(defaults read $DOMAIN)" + +function print_defaultswrite_for() { ...
bash
d_bash_20440
--- +++ @@ -3,7 +3,7 @@ # construct the colon-separated classpath of jar files in the lib directory, # plus the src directory -CP=`find lib/*.jar | tr '\n' ':'`bin +CP=`find lib/*.jar | tr '\n' ':'`src echo $CP
bash
d_bash_20441
--- +++ @@ -5,6 +5,6 @@ ROOTDIR="$( cd "$( dirname "$0")" && pwd )" cd $ROOTDIR -mocha -t 120000 --reporter spec testsuite.js +../node_modules/.bin/mocha -t 120000 --reporter spec testsuite.js exit $?
bash
d_bash_20442
--- +++ @@ -2,9 +2,18 @@ set -e +# cd straight to /vagrant on login +if ! grep -q 'cd \/vagrant' ~/.bashrc; then + echo 'cd /vagrant' >> ~/.bashrc +fi +cd /vagrant + +# Don't prompt for mysql root password +export DEBIAN_FRONTEND=noninteractive + # Install packages sudo apt-get update --quiet -sudo -E apt-get...
bash
d_bash_20443
--- +++ @@ -1,8 +1,11 @@ #!/bin/sh +echo "apt-get install zsh curl git wget" sudo apt-get -y install zsh curl git wget && \ curl -L https://raw.githubusercontent.com/zsh-users/antigen/master/antigen.zsh > antigen.zsh && \ +echo "install zsh antigen" sudo mv antigen.zsh /opt && \ wget -qO- https://raw.githubu...
bash
d_bash_20444
--- +++ @@ -14,15 +14,11 @@ echo } -# sed -l basically makes sed replace and buffer through stdin to stdout -# so you get updates while the command runs and dont wait for the end # e.g. npm install | indent indent() { - c='s/^/ /' - case $(uname) in - Darwin) sed -l "$c";; # mac/bsd sed: -l buffers...
bash
d_bash_20445
--- +++ @@ -9,7 +9,7 @@ test/*.dart # Verify that all the tests pass. -pub run test +pub run --checked test/all_tests.dart # Verify the coverage of the tests. if [ "$COVERALLS_TOKEN" ] && [ "$TRAVIS_DART_VERSION" = "stable" ]; then
bash
d_bash_20446
--- +++ @@ -6,9 +6,8 @@ cd build env CXXFLAGS="-Wall -Werror" cmake .. make -cd ../tests -for file in test-*.plorth +for file in ../tests/test-*.plorth do echo $file - ../build/plorth-cli $file + ./plorth-cli $file done
bash
d_bash_20447
--- +++ @@ -3,32 +3,59 @@ DISTFILES=dist/ DOCKER_COMPOSE_FILE=docker-compose.yml DEFAULT_INSTALL_PATH=/usr/local/dig +DEFAULT_CFGDIR=./conf +RMDIR=1 +TEMP_DIR=$(mktemp -d) -TEMP_DIR=$(mktemp -d) -cp bootstrap.sh ${TEMP_DIR} +cleanup() { + [[ $RMDIR ]] && rm -rf ${TEMP_DIR} + exit 0 +} -cat > ${TEMP_DIR}/...
bash
d_bash_20448
--- +++ @@ -1,8 +1,8 @@ #!/bin/sh # Stylesheets -cat css/fonts.css css/global.css css/main.css | cleancss --skip-advanced -o min/main.css +cat css/fonts.css css/global.css css/main.css | cleancss --skip-advanced -o min/min.css # JavaScript -uglifyjs js/main.js --mangle -o min/main.js +uglifyjs js/main.js --m...
bash
d_bash_20449
--- +++ @@ -1,4 +1,4 @@ -if [[ ! "$SSH_TTY" && "$OSTYPE" =~ ^darwin ]]; then +if [[ ! "$SSH_TTY" ]] && which subl >/dev/null 2>&1; then export EDITOR='subl -w' export LESSEDIT='subl %f' else
bash
d_bash_20450
--- +++ @@ -19,7 +19,7 @@ fi for i in `ls *.zip`; do - LANG=$(echo $i | cut -d '_' -f 1); + LANG=$(echo $i | cut -d '.' -f 1 | cut -d '_' -f 1); URL="https://api.bintray.com/content/gauge/$PACKAGE/$BINTRAY_PACKAGE/latest/$LANG/$i?publish=1&override=1" echo "Uploading to : $URL"
bash
d_bash_20451
--- +++ @@ -2,6 +2,7 @@ set -e # exit on first error UBUNTU_VERSION=`lsb_release --release | cut -f2` SRC_PREFIX_PATH="/usr/local/src/" +CERES_VERSION=1.12.0 install_dependencies() { @@ -27,6 +28,7 @@ # go into ceres-solver repo and prepare for build cd ceres-solver + git checkout tags/${CERES...
bash
d_bash_20452
--- +++ @@ -3,7 +3,7 @@ # Setup an Ubuntu system for development # install Ubuntu packages -sudo apt install python3-jinja2 python3-babel wine npm default-jre +sudo apt install python3-jinja2 python3-babel wine npm default-jre golang-go # install global npm packages sudo npm install -g electron-packager js-be...
bash
d_bash_20453
--- +++ @@ -1,12 +1,12 @@ #!/usr/bin/env bash set -e -KUBE_CONTEXT=$1 +NAMESPACE=$1 ROOT=$(dirname "$0") -HELM_DIR="$ROOT/../helm_deploy/cla-backend-migration/" +HELM_DIR="$ROOT/../../helm_deploy/cla-backend-migration/" -kubectl config use-context $KUBE_CONTEXT helm upgrade cla-backend-migration \ $HELM_DIR ...
bash
d_bash_20454
--- +++ @@ -8,13 +8,13 @@ if [ $value == "Linux" ] then echo "Initializing TensorFlow setup on a Linux machine..." - export TF_BINARY_URL=https://storage.googleapis.com/tensorflow/linux/cpu/tensorflow-0.12.0rc1-cp27-none-linux_x86_64.whl - pip install $TF_BINARY_URL + export TF_BINARY_URL=https://storage.goog...
bash
d_bash_20455
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash -export DETS="ACO EMC FMD HMP MCH MTR PHS CPV PMD SPD SDD SSD TOF TPC TRD T00 V00 ZDC GRP" +export DETS="ACO AD0 EMC FMD HMP MCH MTR PHS CPV PMD SPD SDD SSD TOF TPC TRD T00 V00 ZDC GRP" if [ -n "$1" ] then @@ -10,7 +10,7 @@ for I in $DETS do echo $I - aliroot -b ...
bash
d_bash_20456
--- +++ @@ -23,3 +23,5 @@ else echo "Theme $choice does not exist!" fi + +gulp
bash
d_bash_20457
--- +++ @@ -21,9 +21,9 @@ --rm \ -it \ -v "$DUMP_DIR":/data \ - -v "$CONFIG_DIR":/home/gkh/.config/gcloud \ - -v "$DIR"/helper/make-gcp-dump.sh:/data/commands.sh:ro \ - kiwigrid/gcloud-kubectl-helm:2.12.3-234.0.0-88 + -v "$CONFIG_DIR":/root/.config/gcloud \ + -v "$DIR"/helper/make-gcp-dump.sh:/command...
bash
d_bash_20458
--- +++ @@ -1,24 +1,16 @@ #!/bin/sh # shellcheck disable=SC2039 + +if ! _koopa_is_installed basename +then + basename() { # {{{1 + _koopa_basename "$@" + } +fi if ! _koopa_is_installed realpath then realpath() { # {{{1 - # """ - # Real path to file/directory on disk. - #...
bash
d_bash_20459
--- +++ @@ -1,4 +1,15 @@ #!/bin/bash + +if [ "$(dpkg-query -l vim)" != "0" ]; then + echo "Vim is not installed. Installing ..." + + if [ "$(id -u)" != "0" ]; then + echo "Sorry, you are not root. Run as root to install vim" + exit 1 + else + apt-get install -y vim + fi +fi mkdir -p ~/.vim/colors mk...
bash
d_bash_20460
--- +++ @@ -18,6 +18,7 @@ echo "Workspace: ${WORKSPACE}" echo "Using: ${TEMPLATE}" +apk update apk --upgrade add gettext wget wget 'https://downloads.dcos.io/dcos-test-utils/bin/linux/dcos-launch' && chmod +x dcos-launch
bash
d_bash_20461
--- +++ @@ -26,6 +26,10 @@ pip install --upgrade pip +# Force upgrading six else uninstalling six 1.10 to upgrade 1.11 breaks the Travis build for Python 3.4 ! +pip install --upgrade six +pip freeze + # install prog AND tests requirements : pip install -r requirements.txt pip install -e .
bash
d_bash_20462
--- +++ @@ -3,13 +3,13 @@ case "$1" in java8) - echo "https://github.com/adoptium/temurin8-binaries/releases/download/jdk8u302-b08/OpenJDK8U-jdk_x64_linux_hotspot_8u302b08.tar.gz" + echo "https://github.com/adoptium/temurin8-binaries/releases/download/jdk8u312-b07/OpenJDK8U-jdk_x64_linux_hotspot_8u312b07.tar...
bash
d_bash_20463
--- +++ @@ -1,5 +1,6 @@ #!/bin/bash if [[ ! -e /etc/service/sshd/down && ! -e /home/box/etc/ssh/sshd_config ]] || [[ "$1" == "-f" ]]; then + mkdir -p /home/box/etc/ssh/ cp -R /etc/ssh.default/* /home/box/etc/ssh/ fi
bash
d_bash_20464
--- +++ @@ -14,4 +14,5 @@ ln -snf "$PWD"/terminal/.vimrc ~/.vimrc ln -snf "$PWD"/terminal/.gitconfig ~/.gitconfig +mkdir -p ~/.ssh ln -snf "$PWD"/ssh/config ~/.ssh/config
bash
d_bash_20465
--- +++ @@ -11,7 +11,7 @@ curl -kLo /home/vagrant/.ssh/authorized_keys \ 'https://raw.github.com/mitchellh/vagrant/master/keys/vagrant.pub' chmod 0600 /home/vagrant/.ssh/authorized_keys - chown -R vagrant:vagrant /home/vagrant/.ssh + chown -R vagrant /home/vagrant/.ssh # Install NFS clie...
bash
d_bash_20466
--- +++ @@ -10,8 +10,7 @@ json -e "this.medtronic = this._type;" | \ json -e "this.dateString = this.timestamp + '$(TZ=TZ date +%z)'" | \ json -e "this.type = 'medtronic'" | \ - #json -e "this.date = this.date ? this.date : new Date(Date.parse(this.dateString)).getTime( )" \ - json -e "this.date = new Date...
bash
d_bash_20467
--- +++ @@ -14,6 +14,5 @@ git ls-files crashstats | xargs check.py | bin/linting.py echo "Starting tests..." -FORCE_DB=true coverage run manage.py test --noinput --with-xunit -coverage xml $(find crashstats lib -name '*.py') +FORCE_DB=true manage.py test --noinput echo "Tests finished."
bash
d_bash_20468
--- +++ @@ -11,7 +11,7 @@ echo "Executing test with:" $JAVA -version DEFAULT_JVM_OPTS="-XX:+UnlockDiagnosticVMOptions -XX:GuaranteedSafepointInterval=600000" -JVM_OPTS="$DEFAULT_JVM_OPTS -XX:+DisableExplicitGC -XX:+PrintGCDateStamps -XX:+PrintGCDetails -XX:+PrintGCApplicationStoppedTime -XX:+PrintTenuringDistribut...
bash
d_bash_20469
--- +++ @@ -1,4 +1,4 @@ #!/usr/bin/env bash -./gradlew clean build generatePomFileForMavenPublication :processor:bintrayUpload -PbintrayUser=$bintrayUser -PbintrayKey=$bintrayKey -./gradlew :library:bintrayUpload -PbintrayUser=$bintrayUser -PbintrayKey=$bintrayKey +./gradlew clean build generatePomFileForMavenPubl...
bash
d_bash_20470
--- +++ @@ -1,16 +1,23 @@ #!/bin/bash +# TODO: Figure out they want for a real shell REAL_SHELL=/bin/ash -DOCKER_NAME=kwa_shell +# Must use a conistent naming scheme, docker will only let one of these run +# at a time. +DOCKER_NAME="$USER_shell" +# TODO: Figure out what they want from config DOCKER_CONTAINER...
bash
d_bash_20471
--- +++ @@ -11,3 +11,12 @@ cd $1; pwd; } + +#disk size, get disk size of given directory +function ds(){ + if [[ "$#" -ne 1 ]] ; then + >&2 echo "usage: ${FUNCNAME[0]} <directory_to_get_disk_size_of>" + return 1; + fi + du -hs $1 +}
bash
d_bash_20472
--- +++ @@ -1,3 +1,5 @@ +export CXXFLAGS="-std=c++98" + mkdir _build && cd _build cmake .. -DCMAKE_INSTALL_PREFIX=$PREFIX -DCMAKE_BUILD_TYPE=Release make all -j4
bash
d_bash_20473
--- +++ @@ -5,8 +5,8 @@ printf 'Done.\n' printf 'Determining internal_ip value...\n' -if [ "$(ping 192.168.59.103 -c 1 -w 1 | grep '100%')" = "" ]; then - INTERNAL_IP='192.168.59.103' +if [ "$(ping 192.168.99.100 -c 1 -w 1 | grep '100%')" = "" ]; then + INTERNAL_IP='192.168.99.100' else INTERNAL_IP='$${loca...
bash
d_bash_20474
--- +++ @@ -7,7 +7,7 @@ # Loading parameters source /home/jenkins-slave/runs/devstack_params.$ZUUL_UUID.txt -export LOG_DIR='C:\Openstack\log\' +export LOG_DIR='C:\Openstack\logs\' # building HyperV node echo $hyperv_node
bash
d_bash_20475
--- +++ @@ -1 +1,3 @@ +#!/bin/sh + ln -s $TOASTER_ROOT/conftest.py $(cd $SALT_TESTS; pwd)
bash
d_bash_20476
--- +++ @@ -10,4 +10,4 @@ cd ../.. # test pynpk -python setup.py test +py.test npktest.py -v
bash
d_bash_20477
--- +++ @@ -5,9 +5,9 @@ for f in k8s/*.yml do - envsubst < $f > "generated/$(basename $f)" + envsubst < $f > "generated-$(basename $f)" done sudo /opt/google-cloud-sdk/bin/gcloud docker -- push asia.gcr.io/${PROJECT_NAME}/antlion-clojure:latest sudo chown -R ubuntu:ubuntu /home/ubuntu/.kube kubectl apply -f k...
bash
d_bash_20478
--- +++ @@ -2,7 +2,7 @@ pushd ../; conda update conda -y; conda install conda-env -y; -conda env update --file local-environment.yml; +conda env update --file environment.yaml; popd; pushd memex;
bash
d_bash_20479
--- +++ @@ -1,8 +1,10 @@ #!/bin/bash for min in 5 10 30 60 80 +#for min in 10 30 60 80 do - for nblocks in 3 5 10 15 20 +# for nblocks in 3 5 10 15 20 + for nblocks in 10 15 20 do for (( threads=1; threads <= 10; threads++ )) do
bash
d_bash_20480
--- +++ @@ -3,6 +3,9 @@ #This script is called from .travis.yml after each push to github. set -e #exit script if any of the commands error set -x #echo each command + +#If running in Travis CI, add path to valgrind binary: +PATH=$PATH:/home/travis/.local/bin pushd src make clean
bash
d_bash_20481
--- +++ @@ -5,7 +5,7 @@ # Adapted from https://coderwall.com/p/9b_lfq and # http://benlimmer.com/2013/12/26/automatically-publish-javadoc-to-gh-pages-with-travis-ci/ -SLUG="eleventigers/RxEither" +SLUG="eleventigers/rxeither" JDK="oraclejdk8" BRANCH="master"
bash
d_bash_20482
--- +++ @@ -20,6 +20,6 @@ docker tag "$DOCKER_IMAGE_TAG" "$DOCKER_REPOSITORY:latest" docker push "$DOCKER_REPOSITORY:latest" # builder latest for cache - docker tag "$DOCKER_REPOSITORY:builder-$GIT_TAG" "$DOCKER_REPOSITORY:builder-latest" + docker tag "$DOCKER_REPOSITORY:builder-$GIT_COMMIT" "$DO...
bash
d_bash_20483
--- +++ @@ -22,7 +22,7 @@ ${INITSCRIPT} ${1}; fi if [ "${1}" == 'stop' ]; then - timeout --signal=9 5 bash -c '2>/dev/null wait $(cat ${PIDFILE})' + timeout --signal=9 5 bash -c 'while (ps -p $(cat ${PIDFILE}) >/dev/null);do true; done' fi }
bash
d_bash_20484
--- +++ @@ -1,14 +1,36 @@ #!/usr/bin/env bash set -Eeu -o pipefail + +_koopa_assert_is_installed sqlite3 name="proj" version="$(_koopa_variable "$name")" prefix="$(_koopa_cellar_prefix)/${name}/${version}" +make_prefix="$(_koopa_make_prefix)" tmp_dir="$(_koopa_tmp_dir)/${name}" build="$(_koopa_make_build_str...
bash
d_bash_20485
--- +++ @@ -4,7 +4,7 @@ set -e -export PYTHONPATH=$(PYTHONPATH):../python +export PYTHONPATH=${PYTHONPATH}:../python SERVER=$1 TMP=`mktemp /tmp/cert.XXXXXX`
bash
d_bash_20486
--- +++ @@ -1,5 +1,4 @@ #!/bin/sh - set -e pushd scct && sbt clean update publish-local publish popd
bash
d_bash_20487
--- +++ @@ -2,8 +2,6 @@ # This script makes sure that Jenkins can properly run your tests against your # codebase. set -e - -DB_USER="hudson" echo "Starting build on executor $EXECUTOR_NUMBER..."
bash
d_bash_20488
--- +++ @@ -12,7 +12,7 @@ echo "Updating bootloader..." /opt/scripts/tools/developers/update_bootloader.sh -# uENV_path="/boot/uEnv.txt" +uENV_path="/boot/uEnv.txt" if [ -e "$uENV_path" ] then echo "Enabling eMMC flashing..."
bash
d_bash_20489
--- +++ @@ -8,5 +8,5 @@ fuzz/decode_fuzzer.cc -I./include -o $OUT/decode_fuzzer \ -lFuzzingEngine ./libbrotlidec.a ./libbrotlicommon.a -cp java/integration/fuzz_data.zip $OUT/decode_fuzzer_seed_corpus.zip +cp java/org/brotli/integration/fuzz_data.zip $OUT/decode_fuzzer_seed_corpus.zip chmod a-x $OUT/deco...
bash
d_bash_20490
--- +++ @@ -10,7 +10,7 @@ git clone https://github.com/WebAssembly/wasi-libc cd wasi-libc -git reset --hard 58795582905e08fa7748846c1971b4ab911d1e16 +git reset --hard ad5133410f66b93a2381db5b542aad5e0964db96 make -j$(nproc) INSTALL_DIR=/wasm32-wasi install cd ..
bash
d_bash_20491
--- +++ @@ -17,7 +17,7 @@ brew install erlang brew install ffmpeg brew install git -brew install gnupg2 +brew install gnupg brew install haskell-stack brew install highlight brew install htop
bash
d_bash_20492
--- +++ @@ -7,9 +7,9 @@ # - - - # Constants declared here. # - - - -HOST_FILE_LOC="/etc/host"; +HOST_FILE_LOC="/etc/hosts"; HFM_DIR="${HOME}/.hfm"; -DEFAULT_FILE="$HFM_DIR/default"; +DEFAULT_FILE="${HFM_DIR}/default"; if [ -z "$(declare -f | grep '^rerun_log' | sed 's/()//g')" ]; then function rerun_log { @...
bash
d_bash_20493
--- +++ @@ -12,3 +12,7 @@ # Save Travis CI secrets to a file ./populate-secrets.sh + +# Give the web server user ownership over all files +cd .. +chown www-data *
bash
d_bash_20494
--- +++ @@ -1,18 +1,19 @@ +#!/bin/sh ####################### # VCS (git, hg, svn) # ####################### -function parse_git_status { +parse_git_status() { local st="$(command git status 2>/dev/null)" if [[ -n "$st" ]]; then local -a arr arr=(${(f)st}) - if [[ $arr[2] =~ 'Your branch is' ...
bash
d_bash_20495
--- +++ @@ -1,4 +1,12 @@ #!/bin/sh -cd ../source-generator && make distclean -cd ../ultimate-repo && make distclean -cd reposerver && make distclean + +(cd ../source-generator && make distclean) +(cd reposerver && make distclean) +make distclean + +# This is a workaround of qt4 bug #181577: QMAKE_[DIST]CLEAN does no...
bash
d_bash_20496
--- +++ @@ -19,7 +19,7 @@ fi ( - echo "Artifacts" + echo "**Artifacts**" echo "" echo " sha256 file" ) >> $release_dir/notes.md
bash
d_bash_20497
--- +++ @@ -8,6 +8,8 @@ PROJECT_ID=$(curl -s 'http://metadata/computeMetadata/v1/project/project-id' -H 'Metadata-Flavor: Google') +echo '${PROJECT_ID}' + gcloud compute images delete guestbook-image # Issue meta requests to fill in missing information in the compute-image-build.json file
bash
d_bash_20498
--- +++ @@ -17,7 +17,6 @@ install_cask keyboard-maestro install_cask skype install_cask jitsi -install_cask joinme install_cask flux # Install additional OS X apps install_cask appcleaner
bash
d_bash_20499
--- +++ @@ -2,7 +2,7 @@ # we don't want errexit set -uo pipefail -mypy pycroft/lib/traffic.py | tee mypy_results.log; +mypy | tee mypy_results.log; export mypy_status=$? python ./scripts/render_mypy_results.py mypy_results.log exit $mypy_status
bash